PLplot: Font Class Reference

PLplot 5.15.0

Public Member Functions | Private Member Functions | Private Attributes | List of all members
Font Class Reference

`#include "wxwidgets.h"`

## Public Member Functions
| Font ()
| Font (PLUNICODE fci, PLFLT size, bool underlined, bool createFontOnConstruction=false)
wxFont | getWxFont ()
PLUNICODE | getFci () const
PLFLT | getSize () const
bool | getUnderlined () const

## Private Member Functions
void | createFont ()

## Private Attributes
wxFont | m_font
PLUNICODE | m_fci
PLFLT | m_size
bool | m_underlined
bool | m_hasFont

## Detailed Description

Definition at line 47 of file wxwidgets.h.

## Constructor & Destructor Documentation

## ◆ Font() [1/2]

Font::Font | ( |  | ) |

Definition at line 710 of file wxwidgets_dev.cpp.

## ◆ Font() [2/2]

Font::Font | ( | PLUNICODE | fci,
|  | PLFLT | size,
|  | bool | underlined,
|  | bool | createFontOnConstruction = `false`
| ) |  |

Definition at line 718 of file wxwidgets_dev.cpp.

## Member Function Documentation

## ◆ createFont()

void Font::createFont | ( |  | ) |
| private

Definition at line 728 of file wxwidgets_dev.cpp.

## ◆ getFci()

PLUNICODE Font::getFci | ( |  | ) | const
| inline

Definition at line 53 of file wxwidgets.h.

## ◆ getSize()

PLFLT Font::getSize | ( |  | ) | const
| inline

Definition at line 54 of file wxwidgets.h.

## ◆ getUnderlined()

bool Font::getUnderlined | ( |  | ) | const
| inline

Definition at line 55 of file wxwidgets.h.

## ◆ getWxFont()

wxFont Font::getWxFont | ( |  | ) |

Definition at line 746 of file wxwidgets_dev.cpp.

## Member Data Documentation

## ◆ m_fci

PLUNICODE Font::m_fci
| private

Definition at line 59 of file wxwidgets.h.

## ◆ m_font

wxFont Font::m_font
| private

Definition at line 58 of file wxwidgets.h.

## ◆ m_hasFont

bool Font::m_hasFont
| private

Definition at line 62 of file wxwidgets.h.

## ◆ m_size

PLFLT Font::m_size
| private

Definition at line 60 of file wxwidgets.h.

## ◆ m_underlined

bool Font::m_underlined
| private

Definition at line 61 of file wxwidgets.h.

The documentation for this class was generated from the following files:

- wxwidgets.h
- wxwidgets_dev.cpp